Subject: Re: [PATCH v3 0/3] kernel/notifier.c: avoid duplicate registration

From: Greg KH <[email-masked]>
Date: Wed, 10 Jul 2019 07:56:28 +0200

On Wed, Jul 10, 2019 at 11:09:07AM +0800, Xiaoming Ni wrote:
> Registering the same notifier to a hook repeatedly can cause the hook
> list to form a ring or lose other members of the list.

Then don't do that :)

Is there any in-kernel users that do do this?  If so, please just fix
them.

thanks,

greg k-h